#2953 closed infra (fixed)

Change Trac time format to absolute.

Reported by: Chris Johns Owned by: amar@…
Priority: highest Milestone: 4.11.2
Component: admin Version: 4.11
Severity: blocker Keywords:
Cc: Blocked By:
Blocking:

Description

Setting the Trac default time format to absolute makes better printed reports as the real time is displayed rather than the time being relative to time the report is printed.

Applying the change via the Trac Admin results with the post timing out and I do not know if this is expected given trac,ini is (was) read-only.

Change History (5)

comment:1 Changed on Apr 3, 2017 at 11:58:00 PM by Chris Johns

Any update on this ticket. It is important for the release note reports generated from Trac.

comment:2 Changed on Apr 4, 2017 at 5:08:39 PM by Amar Takhar

Oh, right... I need to look into this. What is the setting you're trying to change? All changes to trac.ini must be done from the commandline as it is managed via Git and the web interface screws up the formatting.

comment:3 Changed on Apr 4, 2017 at 11:17:52 PM by Chris Johns

Thanks, we need it for the release. Relative times in release notes make no sense.

I did not know what the ini setting was and preferred not to step into something I am not sure about.

comment:4 Changed on Apr 7, 2017 at 12:19:10 AM by Amar Takhar

Resolution: fixed
Status: newclosed

Add default_dateinfo_format = absolute to get absolute times in all tickets.

comment:5 Changed on Apr 7, 2017 at 12:48:24 AM by Chris Johns

Should this change effect a TracQuery such as https://devel.rtems.org/wiki/Release/4.11/4.11.2 ?

The dates in the report are showing up as relative for me.

Note: See TracTickets for help on using tickets.